Your submission was sent successfully! Close

USN-5312-1: HAProxy vulnerability

3 March 2022

HAProxy could be made to stop responding if it received specially crafted network traffic.

Releases

Packages

  • haproxy - fast and reliable load balancing reverse proxy

Details

It was discovered that HAProxy incorrectly handled certain headers. A
remote attacker could possibly use this issue to cause HAProxy to stop
responding, resulting in a denial of service.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 21.10
Ubuntu 20.04

In general, a standard system update will make all the necessary changes.

References